Установите JavaFX scene builder 2.0 на Ubuntu 14.10

6

Я начинаю работу над приложением JavaFX, для которого я использую Intellij Idea ide. У меня установлена ​​Java 8 в моей системе, и я вижу JavaFXSceneBuilder 1.1 в моей системе. Но поскольку я читал в документации Oracle, Java 8 поставляется со встроенным сценарием, к сожалению, я не могу его найти.

Из-за этого я вижу страницу в среде IDE для моего сценариста, хотя я предоставил путь для 1.1. Ниже приведен скриншот:

Вот скриншот пути:

Итак, почему я вижу этого пустого парня, как я могу установить Scenebuilder 2.0, рекомендованный в документации Intellij Idea для создания приложений JavaFX. Пожалуйста, дайте мне знать. Большое спасибо.     

задан We are Borg 13.05.2015 в 12:00
источник

2 ответа

4

вы можете найти свою установку deb, используя следующую команду:

dpkg-query  -S scenebuilder

после этого вы можете добавить его в intellij - он должен выглядеть примерно так:

/opt/JavaFXSceneBuilder2.0/JavaFXSceneBuilder2.0
    
ответ дан serup 16.02.2016 в 13:35
3

Итак, если у кого-то есть такая же проблема, перейдите здесь и скачайте SceneBuilder 2.0. Задайте его в «Путь сценария» в «Настройки», перезапустите среду IDE, и она будет работать.

    
ответ дан We are Borg 01.03.2016 в 11:45